Skip to main content

Upload malware .pa archive

POST
/malware/upload

Contract

Parameter
Value
Sectionmalware
AuthenticationCookieAuth
Consumesmultipart/form-data
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
fileformDatayesfile.pa archive to import
  • {}

Responses

5 responses

Status
Description
Type
200
Imported packageobject
400
No file providedobject
401
Unauthorizedobject
500
Failed to save or import archiveobject
507
Insufficient space for upload or importobject
  • {
      "createdAt": "<string>",
      "fileName": "<string>",
      "id": 0,
      "issuerID": 0,
      "name": "<string>",
      "samplesImported": 0,
      "samplesSkipped": 0,
      "samplesTotal": 0,
      "size": 0
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }